Package org.apache.activemq.artemis.jms.client

## Class ActiveMQConnectionForContextImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionForContextImpl

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `javax.jms.Connection`, `ActiveMQConnectionForContext`
  Direct Known Subclasses:
    `ActiveMQConnection`

      public abstract class ActiveMQConnectionForContextImpl
      extends java.lang.Object
      implements ActiveMQConnectionForContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ThreadAwareContext` | `threadAwareContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQConnectionForContextImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeFromContext()` |
    `javax.jms.JMSContext` | `createContext​(int sessionMode)` |
    `javax.jms.XAJMSContext` | `createXAContext()` |
    `ThreadAwareContext` | `getThreadAwareContext()` |
    `protected void` | `incrementRefCounter()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createDurableConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Field Detail

    - #### threadAwareContext

          protected final ThreadAwareContext threadAwareContext

  - ### Constructor Detail

    - #### ActiveMQConnectionForContextImpl

          public ActiveMQConnectionForContextImpl()

  - ### Method Detail

    - #### createContext

          public javax.jms.JMSContext createContext​(int sessionMode)

      Specified by:
        `createContext` in interface `ActiveMQConnectionForContext`

    - #### createXAContext

          public javax.jms.XAJMSContext createXAContext()

      Specified by:
        `createXAContext` in interface `ActiveMQConnectionForContext`

    - #### closeFromContext

          public void closeFromContext()

      Specified by:
        `closeFromContext` in interface `ActiveMQConnectionForContext`

    - #### incrementRefCounter

          protected void incrementRefCounter()

    - #### getThreadAwareContext

          public ThreadAwareContext getThreadAwareContext()